Suggestion/feature request: Storage
Closed, ResolvedPublic

Description

What is happening:
The inventory can quickly fill up with quest rewards and/or items, leaving no room for further quest rewards and/or items.

What should be happening:
Some place in which arbitrary numbers of quest items can be stored would be greatly appreciated. Perhaps a storage trunk or similar?

ccc_037 created this task.Nov 18 2017, 10:00 AM

Well they do seem to have the "quest item" section now in the inventory. However, enjoying being a collector of costumes myself I would like it if there was such a place so I didn't need to carry around my reindeer antlers all year until I needed them.

Rattletrap lowered the priority of this task from Needs Triage to Wishlist.Mar 15 2019, 7:08 PM

There are now banks available in Cantermore, Cloudopolis, Crystal Kingdom, Applewood and Dodge Juncture for item storage

Cyanspark closed this task as Resolved.Oct 19 2020, 4:48 AM